CVE-2006-1015
CVSS6.4
发布时间 :2006-03-06 19:02:00
修订时间 :2008-09-05 17:00:48
NMCO    

[原文]Argument injection vulnerability in certain PHP 3.x, 4.x, and 5.x applications, when used with sendmail and when accepting remote input for the additional_parameters argument to the mail function, allows remote attackers to read and create arbitrary files via the sendmail -C and -X arguments. NOTE: it could be argued that this is a class of technology-specific vulnerability, instead of a particular instance; if so, then this should not be included in CVE.


[CNNVD]PHP additional_parameters 参数注入漏洞(CNNVD-200603-077)

        在某些PHP 3.x,4.x和5.x应用程序中存在参数注入漏洞, 当发送邮件和接收远程输入使用到位于mail函数中的additional_parameters参数时,允许远程攻击者通过向发送邮件提供sendmail -C和-X参数,阅读和创建任意文件。注:这是一类技术性漏洞,而非特殊情况,对此可能尚有争论。

- CVSS (基础分值)

CVSS分值: 6.4 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:php:php:3.0.17PHP PHP 3.0.17
cpe:/a:php:php:5.0.0:rc1PHP PHP 5.0.0 RC1
cpe:/a:php:php:3.0.13PHP PHP 3.0.13
cpe:/a:php:php:5.0.0:beta3PHP PHP 5.0.0 Beta3
cpe:/a:php:php:4.0.1PHP PHP 4.0.1
cpe:/a:php:php:5.0.0:beta2PHP PHP 5.0.0 Beta2
cpe:/a:php:php:5.0.5PHP PHP 5.0.5
cpe:/a:php:php:5.0.0:rc3PHP PHP 5.0.0 RC3
cpe:/a:php:php:4.3.1PHP PHP 4.3.1
cpe:/a:php:php:4.3.10PHP PHP 4.3.10
cpe:/a:php:php:4.0.0PHP PHP 4.0.0
cpe:/a:php:php:4.3.7PHP PHP 4.3.7
cpe:/a:php:php:3.0.1PHP PHP 3.0.1
cpe:/a:php:php:4.2.0PHP PHP 4.2.0
cpe:/a:php:php:5.0.1PHP PHP 5.0.1
cpe:/a:php:php:3.0.14PHP PHP 3.0.14
cpe:/a:php:php:4.2.2PHP PHP 4.2.2
cpe:/a:php:php:5.0:rc1
cpe:/a:php:php:4.0.7:rc3
cpe:/a:php:php:4.0.2PHP PHP 4.0.2
cpe:/a:php:php:4.0.6PHP PHP 4.0.6
cpe:/a:php:php:5.0:rc3
cpe:/a:php:php:4.1.2PHP PHP 4.1.2
cpe:/a:php:php:4.0.5PHP PHP 4.0.5
cpe:/a:php:php:5.1.1PHP PHP 5.1.1
cpe:/a:php:php:4.2::dev
cpe:/a:php:php:4.3.6PHP PHP 4.3.6
cpe:/a:php:php:4.0.1:patch2
cpe:/a:php:php:4.3
cpe:/a:php:php:4.0.4PHP PHP 4.0.4
cpe:/a:php:php:4.4.2PHP PHP 4.4.2
cpe:/a:php:php:3.0.15PHP PHP 3.0.15
cpe:/a:php:php:5.0.4PHP PHP 5.0.4
cpe:/a:php:php:5.0.0:rc2PHP PHP 5.0.0 RC2
cpe:/a:php:php:4.3.4PHP PHP 4.3.4
cpe:/a:php:php:3.0.9PHP PHP 3.0.9
cpe:/a:php:php:4.0.3PHP PHP 4.0.3
cpe:/a:php:php:5.0:rc2
cpe:/a:php:php:4.3.2PHP PHP 4.3.2
cpe:/a:php:php:4.3.3PHP PHP 4.3.3
cpe:/a:php:php:3.0.16PHP PHP 3.0.16
cpe:/a:php:php:4.0.1:patch1
cpe:/a:php:php:3.0.2PHP PHP 3.0.2
cpe:/a:php:php:4.0.3:patch1
cpe:/a:php:php:5.1.2PHP PHP 5.1.2
cpe:/a:php:php:3.0.5PHP PHP 3.0.5
cpe:/a:php:php:5.1.0PHP PHP 5.1.0
cpe:/a:php:php:3.0.7PHP PHP 3.0.7
cpe:/a:php:php:4.0.7:rc2
cpe:/a:php:php:5.0.0PHP PHP 5.0.0
cpe:/a:php:php:5.0.2PHP PHP 5.0.2
cpe:/a:php:php:4.2.1PHP PHP 4.2.1
cpe:/a:php:php:4.4.1PHP PHP 4.4.1
cpe:/a:php:php:5.0.3PHP PHP 5.0.3
cpe:/a:php:php:3.0.11PHP PHP 3.0.11
cpe:/a:php:php:4.1.1PHP PHP 4.1.1
cpe:/a:php:php:3.0.6PHP PHP 3.0.6
cpe:/a:php:php:4.0.7PHP PHP 4.0.7
cpe:/a:php:php:3.0.10PHP PHP 3.0.10
cpe:/a:php:php:3.0.12PHP PHP 3.0.12
cpe:/a:php:php:4.3.11PHP PHP 4.3.11
cpe:/a:php:php:5.0.0:beta1PHP PHP 5.0.0 Beta1
cpe:/a:php:php:4.0.7:rc1
cpe:/a:php:php:3.0.8PHP PHP 3.0.8
cpe:/a:php:php:3.0.18PHP PHP 3.0.18
cpe:/a:php:php:5.0.0:beta4PHP PHP 5.0.0 Beta4
cpe:/a:php:php:4.3.8PHP PHP 4.3.8
cpe:/a:php:php:3.0.3PHP PHP 3.0.3
cpe:/a:php:php:4.1.0PHP PHP 4.1.0
cpe:/a:php:php:3.0PHP PHP 3.0
cpe:/a:php:php:4.4.0PHP PHP 4.4.0
cpe:/a:php:php:4.3.9PHP PHP 4.3.9
cpe:/a:php:php:3.0.4PHP PHP 3.0.4
cpe:/a:php:php:4.3.5PHP PHP 4.3.5
cpe:/a:php:php:4.2.3PHP PHP 4.2.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1015
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1015
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-077
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/archive/1/archive/1/426497/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060301 Re: (PHP) mb_send_mail security bypass
http://www.securityfocus.com/bid/16878
(UNKNOWN)  BID  16878
http://www.novell.com/linux/security/advisories/05-05-2006.html
(UNKNOWN)  SUSE  SUSE-SA:2006:024
http://securityreason.com/securityalert/517
(UNKNOWN)  SREASON  517
http://secunia.com/advisories/19979
(UNKNOWN)  SECUNIA  19979

- 漏洞信息

PHP additional_parameters 参数注入漏洞
中危 访问验证错误
2006-03-06 00:00:00 2006-03-08 00:00:00
远程  
        在某些PHP 3.x,4.x和5.x应用程序中存在参数注入漏洞, 当发送邮件和接收远程输入使用到位于mail函数中的additional_parameters参数时,允许远程攻击者通过向发送邮件提供sendmail -C和-X参数,阅读和创建任意文件。注:这是一类技术性漏洞,而非特殊情况,对此可能尚有争论。

- 公告与补丁

        目前厂商还没有提供此漏洞的相关补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本.

- 漏洞信息

25270
PHP w/ Sendmail Mail Function additional_parameters Argument Arbitrary File Creation

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-02-28 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站